var maxLocations = attributes['max'];

var test = 'google.maps.MapTypeId.'+attributes['maptype'];

var gLatitudeHistoryOptions = {
	zoom: 10,
	center: new google.maps.LatLng(0,0),
	mapTypeId: google.maps.MapTypeId[attributes['maptype']],
	mapTypeControl: attributes['mapcontrol'],
	mapTypeControlOptions: {
	    style: google.maps.MapTypeControlStyle[attributes['controlstyle']]
	},	
	zoomControl: attributes['zoomcontrol'],
	zoomControlOptions: {
		style: google.maps.ZoomControlStyle[attributes['zoomstyle']]
	},
	panControl: attributes['pancontrol'],
	streetViewControl: false,
	overviewMapControl : attributes['haveoverview'],
	overviewMapControlOptions: {
		opened : attributes['openoverview']
	},
	disableDefaultUI: attributes['disabledefaultui']
};


var gLatitudeHistoryMap = new google.maps.Map(document.getElementById("latitude_map"), gLatitudeHistoryOptions);

var markers = new Array();
var bounds = new google.maps.LatLngBounds();
var infowindow = new google.maps.InfoWindow({
	content: "holding..."
});
var pathCoordinates = new Array();

for(var i=0; i < locations.length; i++) {
	var color = attributes['pastcolor'];
	var text = 'Past location';
	if(i == 0) {
		color = attributes['currentcolor'];
		text = 'Current location';
	}
	var zIndex = locations.length - i;
	createMarker(locations[i]['latitude'], locations[i]['longitude'], locations[i]['location_name'], text, locations[i]['date'], zIndex, color);
	if(i == maxLocations-1) {
		break;
	}
}

if(markers.length > 0 && attributes['openinfo']) {
	google.maps.event.trigger(markers[0], 'click');
}

if( attributes['showpath'] == true) {
	var path = new google.maps.Polyline({
	      path: pathCoordinates,
	      strokeColor: attributes['pathcolor'],
	      strokeOpacity: 1.0,
	      strokeWeight: attributes['pathweight']
	});
	path.setMap(gLatitudeHistoryMap);
}

gLatitudeHistoryMap.fitBounds(bounds);
gLatitudeHistoryMap.setCenter(bounds.getCenter());

function createMarker(lat, lng, title, text, date, zIndex, color) {
	var latlng = new google.maps.LatLng(lat,lng)
	pathCoordinates.push(latlng);

	var marker = new StyledMarker({
		styleIcon: new StyledIcon(
			StyledIconTypes.MARKER, { color: color }
		), 
		position: latlng,
		title:title,
		flat: true,
		zIndex: zIndex, 
		map: gLatitudeHistoryMap
	});

	google.maps.event.addListener(marker, 'click', function() {
		infowindow.setContent('<p style="padding-right:15px;">'+title+'<br/>'+text+'<br/>'+date+'</p>' );
		infowindow.open(gLatitudeHistoryMap, this);
	});
	markers.push(marker);
	bounds.extend(latlng);
}