<?php

/* Start session and load library. */
session_start();

global $wpdb;

require_once('latitudeoauth/latitudeoauth.php');
require( '../../../wp-load.php' );

/* Build TwitterOAuth object with client credentials. */
$connection = new LatitudeOAuth(get_option('glatitudehistory_oauth_consumer_key'), get_option('glatitudehistory_oauth_consumer_secret'));

/* Get temporary credentials. */
// callback does not include http://domain.com b/c it will go to a 404 page
$request_token = $connection->getRequestToken(get_site_url().$_GET['callback']);

/* Save temporary credentials to session. */
$_SESSION['oauth_token'] = $token = $request_token['oauth_token'];
$_SESSION['oauth_token_secret'] = $request_token['oauth_token_secret'];
 	
/* If last connection failed don't display authorization link. */
switch ($connection->http_code) {
  case 200:
    /* Build authorize URL and redirect user to Google Latitude. */
  	$customParams = array('domain' => get_option('glatitudehistory_oauth_consumer_key'), 'granularity' => get_option('glatitudehistory_granularity'), 'location' => get_option('glatitudehistory_location'));
    $url = $connection->getAuthorizeURL($token, $customParams);
    header('Location: ' . $url); 
    break;
  default:
    /* Show notification if something went wrong. */
    echo 'Could not connect to Google Latitude. Refresh the page or try again later.';
}
